#!/usr/local/bin/perl -w

########################################################################
########################################################################
##                                                                    ##
## Phat - a system for predicting gene structures in DNA.             ##
## Copyright (C) 2000 Simon Cawley and Anthony Wirth                  ##
##                                                                    ##
## This program is free software; you can redistribute it and/or      ##
## modify it under the terms of the GNU General Public License        ##
## as published by the Free Software Foundation; either version 2     ##
## of the License, or (at your option) any later version.             ##
##                                                                    ##
## This program is distributed in the hope that it will be useful,    ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of     ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      ##
## GNU General Public License for more details.                       ##
##                                                                    ##
## You should have received a copy of the GNU General Public License  ##
## along with this program; if not, write to the Free Software        ##
## Foundation, Inc.,                                                  ##
## 59 Temple Place - Suite 330,                                       ##
## Boston, MA  02111-1307, USA.                                       ##
##                                                                    ##
########################################################################
########################################################################

##
## Wrapper Perl module for calling fitmm, a C program for fitting (variable
## length) Markov models to fixed-length sites, like splice sites or
## translation start sites.
##
sub buildSiteModel {
  my($inFile)    = shift;
  my($outFile)   = shift;
  my($upStream)  = shift;
  my($dnStream)  = shift;
  my($fitmmExe)  = shift;
  my($order)     = shift;
  my($modelType) = shift;
  my($verbose)   = shift;

  die "Can't execute $fitmmExe\n" if(! -x $fitmmExe);

  $command = "$fitmmExe -p $inFile -5 $upStream -3 $dnStream -o $order -m $modelType ";
  $command .= " 1> $outFile";
  $command .= " 2> /dev/null" if(!$verbose);

  die "problem building site model.  Call was:\n $command\n" if system($command);
  
  return;
}

1

