#ifndef CONTEXT_HEADER
#define CONTEXT_HEADER

#define MIN(x,y) ( (x) < (y) ) ? (x) : (y)

enum method {CUTOFF,AIC,BIC,MM};  /* available tree pruning methods */

void fitContext(int *data, int n, int k, int N, int position, int memStart, int order, double K, int *nFinal, int *nPars, double *logProbs, int verbose, int pruneMethod);

/* pointer to node structure */
typedef struct tnode *Treeptr;

/* node structure, the context tree is built up of such nodes */
typedef struct tnode {
  int *count;       /* frequency of each category with this context */
  int total;        /* total number of occurences of this node's context */
  int nContext;     /* number of bases in the nodes context */
  int *context;     /* the (reverse-time) node context */
  Treeptr *child;   /* pointers to childres (NULL if child absent) */
  int nChildren;    /* number of non-null childres */
  int maxChildren;  /* max number of children = number of categories */
} Treenode;

#endif
