#!/usr/local/bin/perl -w

########################################################################
########################################################################
##                                                                    ##
## Phat - a system for predicting gene structures in DNA.             ##
## Copyright (C) 2000 Simon Cawley and Anthony Wirth                  ##
##                                                                    ##
## This program is free software; you can redistribute it and/or      ##
## modify it under the terms of the GNU General Public License        ##
## as published by the Free Software Foundation; either version 2     ##
## of the License, or (at your option) any later version.             ##
##                                                                    ##
## This program is distributed in the hope that it will be useful,    ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of     ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      ##
## GNU General Public License for more details.                       ##
##                                                                    ##
## You should have received a copy of the GNU General Public License  ##
## along with this program; if not, write to the Free Software        ##
## Foundation, Inc.,                                                  ##
## 59 Temple Place - Suite 330,                                       ##
## Boston, MA  02111-1307, USA.                                       ##
##                                                                    ##
########################################################################
########################################################################

##
## Wrapper Perl module for calling estLenghs, a C program for fitting
## a three-parameter gamma distribution to the lengths of the sequences
## in the specified multiple fasta file.
##
sub buildLengthModel {
  my($inFile)        = shift;
  my($outFile)       = shift;
  my($estLengthsExe) = shift;
  my($verbose)       = shift;

  die "can't execute $estLengthsExe\n" if(! -x $estLengthsExe);

  $command  = "$estLengthsExe $inFile";
  $command .= " -v" if($verbose);
  $command .= " 1> $outFile";

  die "problem building length model.  Call was:\n $command\n" if system($command);
  
  return;
}

1

