#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

#define EXTERN extern
#include "full_common.h"
#undef EXTERN

/*
** A memory-declaring fuction that will exit with an error if it can't
** get what it wants.
*/
void *myAlloc(size_t nBytes) {
  char *mem;

  if( (mem = (char *)malloc(nBytes)) == NULL )
    error((char *)"unable to allocate %d bytes of memory\n",nBytes);
  else
    return(mem);

  return(NULL);  /* keeps the compiler happy - this line won't be reached */
}


/*
** A handy error function to print an error message and die
*/
void error(char *fmt, ... ) {
  va_list args;
  va_start(args, fmt);
  fprintf(stderr,"\n\nerror: ");
  vfprintf(stderr, fmt, args);
  fprintf(stderr,"  exiting...\n\n");
  va_end(args);
  exit(EXIT_FAILURE);
}

