/***********************************************************************
************************************************************************
**                                                                    **
** Phat - a system for predicting gene structures in DNA.             **
** Copyright (C) 2000 Simon Cawley and Anthony Wirth                  **
**                                                                    **
** This program is free software; you can redistribute it and/or      **
** modify it under the terms of the GNU General Public License        **
** as published by the Free Software Foundation; either version 2     **
** of the License, or (at your option) any later version.             **
**                                                                    **
** This program is distributed in the hope that it will be useful,    **
** but WITHOUT ANY WARRANTY; without even the implied warranty of     **
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      **
** GNU General Public License for more details.                       **
**                                                                    **
** You should have received a copy of the GNU General Public License  **
** along with this program; if not, write to the Free Software        **
** Foundation, Inc.,                                                  **
** 59 Temple Place - Suite 330,                                       **
** Boston, MA  02111-1307, USA.                                       **
**                                                                    **
************************************************************************
***********************************************************************/

#ifndef HEADER_OUTPUT
#define HEADER_OUTPUT 1

void writeScreenOutput(Gene *gene, int nFor, int nBak, int nBases, Option *opt);
void writeGffFile(Gene *gene, int nFor, int nBak, int nBases, Option *opt);
void writeMrnaFile(Gene *gene, int nFor, int nBak, int nBases, Option *opt);
void writeProtFile(Gene *gene, int nFor, int nBak, int nBases, Option *opt);

void printAllGenes(Gene *gene, int nFor, int nBak, int nBases, Option *opt);
void printOneGene(Gene *gene, char *thisName, int rev, int nBases, FILE *outSpliceFile, FILE *outCdnaFile, FILE *outProtFile, FILE *outGffFile, Option *opt);
int printFastaSeq(int start, int stop, char *thisSeq, int linePos, int charsPerLine, int addNewLine, int revComp, int mRna, FILE *outFile);
void copyFastaSeq(int start, int stop, char *thisSeq, char *destination, int revComp);
void translate(char *cDNA, int n, FILE *outFile, int rev, int phase, int charsPerLine, char *name);
char translateCodon(int f, int s, int t);
int  num2base(int c);
int  num2mrna(int c);

#endif
