/***********************************************************************
************************************************************************
**                                                                    **
** Phat - a system for predicting gene structures in DNA.             **
** Copyright (C) 2000 Simon Cawley and Anthony Wirth                  **
**                                                                    **
** This program is free software; you can redistribute it and/or      **
** modify it under the terms of the GNU General Public License        **
** as published by the Free Software Foundation; either version 2     **
** of the License, or (at your option) any later version.             **
**                                                                    **
** This program is distributed in the hope that it will be useful,    **
** but WITHOUT ANY WARRANTY; without even the implied warranty of     **
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      **
** GNU General Public License for more details.                       **
**                                                                    **
** You should have received a copy of the GNU General Public License  **
** along with this program; if not, write to the Free Software        **
** Foundation, Inc.,                                                  **
** 59 Temple Place - Suite 330,                                       **
** Boston, MA  02111-1307, USA.                                       **
**                                                                    **
************************************************************************
***********************************************************************/

#ifndef HEADER_PROBS
#define HEADER_PROBS 1

void readStats(Option *option);
void readIntronLen(char *inFile);
void readIntronFreq(char *inFile);
void readExonFreq(char *inFile);
void readExonLen(Option *option);
void readIntergeneFreq(char *inFile);
void readIntergeneLen(char *inFile);
void readTransitions(char *inFile, Option *option);
void readInitProbs(char *inFile);
void readStopProbs(char *inFile, Option *option);
void geometricFix(Option *option);

double pinit(int j);
double pextra(int j);
double pnotextra(int j);
double bIntronIntergene(int pos, int state, int slen);
double exonProb(int start, int stop, int phase, int type, char *seq, Option *option);
double ptrans(int x, int y);
void lookupExon(char *str, int slen);
void lookupIntronIntergene(char *str, int slen);
double *readLengthDist(int *n, char *fileName, int tertianNormalise, int verbose);
int maxExonLen(int type);
double getStopProb(char *str, int loc);

#endif
